package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TForwarderRecordsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TForwarderRecordsExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdIsNull() {
            addCriterion("FORWARDER_STATION_ID is null");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdIsNotNull() {
            addCriterion("FORWARDER_STATION_ID is not null");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdEqualTo(Integer value) {
            addCriterion("FORWARDER_STATION_ID =", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdNotEqualTo(Integer value) {
            addCriterion("FORWARDER_STATION_ID <>", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdGreaterThan(Integer value) {
            addCriterion("FORWARDER_STATION_ID >", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("FORWARDER_STATION_ID >=", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdLessThan(Integer value) {
            addCriterion("FORWARDER_STATION_ID <", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdLessThanOrEqualTo(Integer value) {
            addCriterion("FORWARDER_STATION_ID <=", value, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdIn(List<Integer> values) {
            addCriterion("FORWARDER_STATION_ID in", values, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdNotIn(List<Integer> values) {
            addCriterion("FORWARDER_STATION_ID not in", values, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdBetween(Integer value1, Integer value2) {
            addCriterion("FORWARDER_STATION_ID between", value1, value2, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andForwarderStationIdNotBetween(Integer value1, Integer value2) {
            addCriterion("FORWARDER_STATION_ID not between", value1, value2, "forwarderStationId");
            return (Criteria) this;
        }

        public Criteria andAireadIdIsNull() {
            addCriterion("AIREAD_ID is null");
            return (Criteria) this;
        }

        public Criteria andAireadIdIsNotNull() {
            addCriterion("AIREAD_ID is not null");
            return (Criteria) this;
        }

        public Criteria andAireadIdEqualTo(Integer value) {
            addCriterion("AIREAD_ID =", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdNotEqualTo(Integer value) {
            addCriterion("AIREAD_ID <>", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdGreaterThan(Integer value) {
            addCriterion("AIREAD_ID >", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("AIREAD_ID >=", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdLessThan(Integer value) {
            addCriterion("AIREAD_ID <", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdLessThanOrEqualTo(Integer value) {
            addCriterion("AIREAD_ID <=", value, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdIn(List<Integer> values) {
            addCriterion("AIREAD_ID in", values, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdNotIn(List<Integer> values) {
            addCriterion("AIREAD_ID not in", values, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdBetween(Integer value1, Integer value2) {
            addCriterion("AIREAD_ID between", value1, value2, "aireadId");
            return (Criteria) this;
        }

        public Criteria andAireadIdNotBetween(Integer value1, Integer value2) {
            addCriterion("AIREAD_ID not between", value1, value2, "aireadId");
            return (Criteria) this;
        }

        public Criteria andForwardTimeIsNull() {
            addCriterion("FORWARD_TIME is null");
            return (Criteria) this;
        }

        public Criteria andForwardTimeIsNotNull() {
            addCriterion("FORWARD_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andForwardTimeEqualTo(Date value) {
            addCriterion("FORWARD_TIME =", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeNotEqualTo(Date value) {
            addCriterion("FORWARD_TIME <>", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeGreaterThan(Date value) {
            addCriterion("FORWARD_TIME >", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FORWARD_TIME >=", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeLessThan(Date value) {
            addCriterion("FORWARD_TIME <", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeLessThanOrEqualTo(Date value) {
            addCriterion("FORWARD_TIME <=", value, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeIn(List<Date> values) {
            addCriterion("FORWARD_TIME in", values, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeNotIn(List<Date> values) {
            addCriterion("FORWARD_TIME not in", values, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeBetween(Date value1, Date value2) {
            addCriterion("FORWARD_TIME between", value1, value2, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardTimeNotBetween(Date value1, Date value2) {
            addCriterion("FORWARD_TIME not between", value1, value2, "forwardTime");
            return (Criteria) this;
        }

        public Criteria andForwardNumIsNull() {
            addCriterion("FORWARD_NUM is null");
            return (Criteria) this;
        }

        public Criteria andForwardNumIsNotNull() {
            addCriterion("FORWARD_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andForwardNumEqualTo(Integer value) {
            addCriterion("FORWARD_NUM =", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumNotEqualTo(Integer value) {
            addCriterion("FORWARD_NUM <>", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumGreaterThan(Integer value) {
            addCriterion("FORWARD_NUM >", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("FORWARD_NUM >=", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumLessThan(Integer value) {
            addCriterion("FORWARD_NUM <", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumLessThanOrEqualTo(Integer value) {
            addCriterion("FORWARD_NUM <=", value, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumIn(List<Integer> values) {
            addCriterion("FORWARD_NUM in", values, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumNotIn(List<Integer> values) {
            addCriterion("FORWARD_NUM not in", values, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumBetween(Integer value1, Integer value2) {
            addCriterion("FORWARD_NUM between", value1, value2, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardNumNotBetween(Integer value1, Integer value2) {
            addCriterion("FORWARD_NUM not between", value1, value2, "forwardNum");
            return (Criteria) this;
        }

        public Criteria andForwardStatusIsNull() {
            addCriterion("FORWARD_STATUS is null");
            return (Criteria) this;
        }

        public Criteria andForwardStatusIsNotNull() {
            addCriterion("FORWARD_STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andForwardStatusEqualTo(Integer value) {
            addCriterion("FORWARD_STATUS =", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusNotEqualTo(Integer value) {
            addCriterion("FORWARD_STATUS <>", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusGreaterThan(Integer value) {
            addCriterion("FORWARD_STATUS >", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("FORWARD_STATUS >=", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusLessThan(Integer value) {
            addCriterion("FORWARD_STATUS <", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusLessThanOrEqualTo(Integer value) {
            addCriterion("FORWARD_STATUS <=", value, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusIn(List<Integer> values) {
            addCriterion("FORWARD_STATUS in", values, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusNotIn(List<Integer> values) {
            addCriterion("FORWARD_STATUS not in", values, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusBetween(Integer value1, Integer value2) {
            addCriterion("FORWARD_STATUS between", value1, value2, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andForwardStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("FORWARD_STATUS not between", value1, value2, "forwardStatus");
            return (Criteria) this;
        }

        public Criteria andSendMsgIsNull() {
            addCriterion("SEND_MSG is null");
            return (Criteria) this;
        }

        public Criteria andSendMsgIsNotNull() {
            addCriterion("SEND_MSG is not null");
            return (Criteria) this;
        }

        public Criteria andSendMsgEqualTo(String value) {
            addCriterion("SEND_MSG =", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgNotEqualTo(String value) {
            addCriterion("SEND_MSG <>", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgGreaterThan(String value) {
            addCriterion("SEND_MSG >", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgGreaterThanOrEqualTo(String value) {
            addCriterion("SEND_MSG >=", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgLessThan(String value) {
            addCriterion("SEND_MSG <", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgLessThanOrEqualTo(String value) {
            addCriterion("SEND_MSG <=", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgLike(String value) {
            addCriterion("SEND_MSG like", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgNotLike(String value) {
            addCriterion("SEND_MSG not like", value, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgIn(List<String> values) {
            addCriterion("SEND_MSG in", values, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgNotIn(List<String> values) {
            addCriterion("SEND_MSG not in", values, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgBetween(String value1, String value2) {
            addCriterion("SEND_MSG between", value1, value2, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andSendMsgNotBetween(String value1, String value2) {
            addCriterion("SEND_MSG not between", value1, value2, "sendMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgIsNull() {
            addCriterion("REPLY_MSG is null");
            return (Criteria) this;
        }

        public Criteria andReplyMsgIsNotNull() {
            addCriterion("REPLY_MSG is not null");
            return (Criteria) this;
        }

        public Criteria andReplyMsgEqualTo(String value) {
            addCriterion("REPLY_MSG =", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgNotEqualTo(String value) {
            addCriterion("REPLY_MSG <>", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgGreaterThan(String value) {
            addCriterion("REPLY_MSG >", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgGreaterThanOrEqualTo(String value) {
            addCriterion("REPLY_MSG >=", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgLessThan(String value) {
            addCriterion("REPLY_MSG <", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgLessThanOrEqualTo(String value) {
            addCriterion("REPLY_MSG <=", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgLike(String value) {
            addCriterion("REPLY_MSG like", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgNotLike(String value) {
            addCriterion("REPLY_MSG not like", value, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgIn(List<String> values) {
            addCriterion("REPLY_MSG in", values, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgNotIn(List<String> values) {
            addCriterion("REPLY_MSG not in", values, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgBetween(String value1, String value2) {
            addCriterion("REPLY_MSG between", value1, value2, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andReplyMsgNotBetween(String value1, String value2) {
            addCriterion("REPLY_MSG not between", value1, value2, "replyMsg");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andForwardValueIsNull() {
            addCriterion("FORWARD_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andForwardValueIsNotNull() {
            addCriterion("FORWARD_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andForwardValueEqualTo(String value) {
            addCriterion("FORWARD_VALUE =", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueNotEqualTo(String value) {
            addCriterion("FORWARD_VALUE <>", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueGreaterThan(String value) {
            addCriterion("FORWARD_VALUE >", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueGreaterThanOrEqualTo(String value) {
            addCriterion("FORWARD_VALUE >=", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueLessThan(String value) {
            addCriterion("FORWARD_VALUE <", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueLessThanOrEqualTo(String value) {
            addCriterion("FORWARD_VALUE <=", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueLike(String value) {
            addCriterion("FORWARD_VALUE like", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueNotLike(String value) {
            addCriterion("FORWARD_VALUE not like", value, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueIn(List<String> values) {
            addCriterion("FORWARD_VALUE in", values, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueNotIn(List<String> values) {
            addCriterion("FORWARD_VALUE not in", values, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueBetween(String value1, String value2) {
            addCriterion("FORWARD_VALUE between", value1, value2, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardValueNotBetween(String value1, String value2) {
            addCriterion("FORWARD_VALUE not between", value1, value2, "forwardValue");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeIsNull() {
            addCriterion("FORWARD_SAMPLE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeIsNotNull() {
            addCriterion("FORWARD_SAMPLE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeEqualTo(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME =", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeNotEqualTo(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME <>", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeGreaterThan(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME >", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME >=", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeLessThan(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME <", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeLessThanOrEqualTo(Date value) {
            addCriterion("FORWARD_SAMPLE_TIME <=", value, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeIn(List<Date> values) {
            addCriterion("FORWARD_SAMPLE_TIME in", values, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeNotIn(List<Date> values) {
            addCriterion("FORWARD_SAMPLE_TIME not in", values, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeBetween(Date value1, Date value2) {
            addCriterion("FORWARD_SAMPLE_TIME between", value1, value2, "forwardSampleTime");
            return (Criteria) this;
        }

        public Criteria andForwardSampleTimeNotBetween(Date value1, Date value2) {
            addCriterion("FORWARD_SAMPLE_TIME not between", value1, value2, "forwardSampleTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}